## GMimeFilterMd5 GMimeFilterMd5 — Calculate an md5sum |

## Functions

GMimeFilter * | g_mime_filter_md5_new ()
void | g_mime_filter_md5_get_digest ()

## Types and Values

struct | GMimeFilterMd5

## Object Hierarchy

        GObject
        ╰── GMimeFilter
            ╰── GMimeFilterMd5

## Description

Calculate an md5sum for a stream.

## Functions

### g_mime_filter_md5_new ()

    GMimeFilter *
    g_mime_filter_md5_new (void);

Creates a new Md5 filter.

#### Returns

a new Md5 filter.

### g_mime_filter_md5_get_digest ()

    void
    g_mime_filter_md5_get_digest (GMimeFilterMd5 *md5,
                                  unsigned char digest[16]);

Outputs the md5 digest into `digest` .

#### Parameters

md5 | md5 filter object |
digest | output buffer of at least 16 bytes |

## Types and Values

### struct GMimeFilterMd5

    struct GMimeFilterMd5;

A filter for calculating the MD5 checksum of a stream.

#### Members

## See Also

GMimeFilter